/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Community System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.servlets.format;

import java.util.List;
import java.io.Writer;
import java.io.IOException;
import com.silverwrist.util.StringUtil;

public class CDSimplePickListFormField extends CDPickListFormField
{
  private char separator;

  public CDSimplePickListFormField(String name, String caption, String caption2, boolean required,
				   List string_list, char separator)
  {
    super(name,caption,caption2,required,string_list);
    this.separator = separator;

  } // end constructor

  protected CDSimplePickListFormField(CDSimplePickListFormField other)
  {
    super(other);
    this.separator = other.separator;

  } // end constructor

  protected void renderChoice(Writer out, RenderData rdat, Object obj, String my_value) throws IOException
  {
    String full = (String)obj;
    int breakpt = full.indexOf(separator);
    String val = full.substring(0,breakpt);
    out.write("<OPTION VALUE=\"" + val + "\"");
    if (val.equals(my_value))
      out.write(" SELECTED");
    out.write(">" + StringUtil.encodeHTML(full.substring(breakpt+1)) + "</OPTION>\n");

  } // end renderChoice

  public CDFormField duplicate()
  {
    return new CDSimplePickListFormField(this);

  } // end duplicate

} // end class CDSimplePickListFormField
